{% extends 'base_admin.html.twig' %}

{% block section %}

	<div class="articles_index admin-form">
		<div class='header-admin-index'>
			<h2>Gestion des missions </h2>
			<a href="{{ url('admin_add_mission') }}"><button>+</button></a>
		</div>

		<form>
			<div class="heading">
				<h3>SEO</h3>
				<p>Pour référencer la liste des missions, il est nécessaire de renseigner ses balises SEO.</p>
				<p>Pour être visible dans les résultats de recherche de Google, il est primordiale de rédiger un article avec une attention particulière pour le SEO. Pour des explications détaillées, vous pouvez <a href="https://www.journalducm.com/rediger-un-article-seo/" target="_blank">consulter cet article</a></p>
			</div>
			<div class="lang-tabs">
				<ul>
					<li class="active">Français</li>
					<li>Anglais</li>
					<li>Espagnol</li>
				</ul>
				<div class="tab active">
					<div><label for="missions_form_page_title_fr">Titre SEO par défaut (fr)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_title_fr" name="missions_form[page_title_fr]" maxlength="60" minlength="30"></div>
					<div><label for="missions_form_page_description_fr">Description SEO par défaut (fr)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_description_fr" name="missions_form[page_description_fr]" maxlength="160" minlength="50"></div>
				</div>
				<div class="tab">
					<div><label for="missions_form_page_title_en">Titre SEO (en)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_title_en" name="missions_form[page_title_en]" maxlength="60" minlength="30"></div>
					<div><label for="missions_form_page_description_en">Description de la page (en)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_description_en" name="missions_form[page_description_en]" maxlength="160" minlength="50"></div>
				</div>
				<div class="tab">
					<div><label for="missions_form_page_title_es">Titre SEO (es)<span class="infos">Le titre doit faire entre 30 et 60 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_title_es" name="missions_form[page_title_es]" maxlength="60" minlength="30"></div>
					<div><label for="missions_form_page_description_es">Description de la page (es)<span class="infos">La description doit faire entre 50 et 160 caractères<span class="count"></span></span></label><input type="text" id="missions_form_page_description_es" name="missions_form[page_description_es]" maxlength="160" minlength="50"></div>
				</div>
			</div>
			<button type="submit">Modifier</button>
		</form>

		<div class="header-admin-index">
			<h3>Liste des missions</h3>
			<a class="btn blue" href="{{ url('admin_add_mission') }}"><span>Créer une mission</span></a>
		</div>
		<div class='admin-list'>
		{% if missions %}
			{% for mission in missions %}
			<div class='admin-list-container'>
				<div class="image">
					<img src="/uploads/img_article/{{ mission.image }}" alt="Article"/>
				</div>
				<div class='content'>
					<h4>{{ mission.content.title }}</h4>
					<p>{{ mission.content.shortContent }}</p>
				</div>
				<div class='action-buttons'>
					<a href="{{ url('admin_update_mission', {'id': mission.id}) }}"><button><img src="/images/icons/admin_edit.svg" alt="Modifier la mission"></button></a>
					<a href="{{ url('admin_update_mission', {'id': mission.id}) }}"><button><img src="/images/icons/admin_delete.svg" alt="Supprimer la mission"></button></a>
				</div>
			</div>
			{% endfor %}
		{% else %}
			<p>Aucune mission</p>
		{% endif %}
		</div>
	</div>

	<style>
		.example-wrapper code {
			background: #F5F5F5;
			padding: 2px 6px;
		}
	</style>

{% endblock %}
